Skip to Content
Blockhash Docs
API referenceTokens
GET
/v1/tokens/discover

A page of the whole token index, sorted and filtered. filter=books lists Book tokens, and minDepthUsd keeps tokens with at least that much executable depth.

Query Parameters

sort?string
Default"tier"

Value in

  • "top"
  • "liquidity"
  • "depth"
  • "new"
  • "symbol"
  • "tier"
  • "change"
  • "volume"
filter?string

books lists the Book tokens.

Default"all"

Value in

  • "all"
  • "verified"
  • "stocks"
  • "books"
dir?string
Default"desc"

Value in

  • "asc"
  • "desc"
limit?integer
Range1 <= value <= 100
Default50
offset?integer
Range0 <= value
Default0
minDepthUsd?number

Only tokens with at least this much measured executable depth.

Range0 <= value
Default0
q?string
Lengthlength <= 64

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tokens/discover"
{  "total": 0,  "source": "indexer",  "tokens": [    {      "address": "string",      "symbol": "string",      "name": "string",      "decimals": 0,      "isStock": true,      "tier": 0,      "impersonator": true,      "price": 0,      "change24h": 0,      "liquidityUsd": 0,      "depthUsd": 0,      "volume24h": 0,      "trades24h": 0,      "pools24h": 0,      "pools": 0,      "priceConfidence": "string",      "priceDepthUsd": 0,      "firstBlock": 0,      "firstSeen": 0,      "marketCapUsd": 0,      "imageUrl": "string",      "book": {        "factory": "string",        "abiSet": "books",        "label": "string",        "bookId": "string",        "vault": "string",        "phase": "waiting",        "step": "arm",        "flags": {          "pastWindow": true,          "graduatable": true,          "feedStale": true        },        "quote": "string",        "raise": {          "raisedQuote": "string",          "taxBpsNow": 0        },        "unlockAt": 0,        "settledAt": 0,        "backingPerTokenWei": "string",        "displayName": "string",        "nftMarket": {          "nft": "string",          "tokensPerNft": "string"        }      }    }  ]}